public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/spyder/
Date: Sat, 20 Mar 2021 10:46:53 +0000 (UTC)	[thread overview]
Message-ID: <1616237206.4405b54b57092a71112382dad2c6a22dc920ae41.juippis@gentoo> (raw)

commit:     4405b54b57092a71112382dad2c6a22dc920ae41
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 20 10:45:46 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Mar 20 10:46:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4405b54b

Revert "dev-python/spyder: drop 4.2.0, 4.2.1"

This reverts commit b08df34fdcf01c8610373c52a8e77ac1b2e07990.

Stable request, #722830

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-python/spyder/Manifest            |   3 +
 dev-python/spyder/spyder-4.2.0.ebuild | 219 ++++++++++++++++++++++++++++++
 dev-python/spyder/spyder-4.2.1.ebuild | 241 ++++++++++++++++++++++++++++++++++
 3 files changed, 463 insertions(+)

diff --git a/dev-python/spyder/Manifest b/dev-python/spyder/Manifest
index f6e4748d442..9b69956c371 100644
--- a/dev-python/spyder/Manifest
+++ b/dev-python/spyder/Manifest
@@ -1,2 +1,5 @@
+DIST spyder-4.2.0.tar.gz 11840358 BLAKE2B 26e4cd9865196fb39fa5b49a17f172b3000fe27c5ab6fb1b31ed56d41f118e4016b6ed97ce8cb1b39c65031fc11413f8e426876d3dc8d5af25f12428d0e0c481 SHA512 c1460e2fe9a37c0e6107657de71205682018d87737b3eac16ec92c32d979bf727a6c8955bd2700872b6e91159d1a1efc57cdea52ffc44604fe34b78094de6e7f
+DIST spyder-4.2.1.tar.gz 12156626 BLAKE2B 4a009c8b2ebe1b71bb60c568d5e6a3d7616fba7f9988669e97a2454b6369421a8603495271ad4c275cae9ad7207f2666b28ecccb121b4cc5554a3d1a863a1579 SHA512 56975e851a05dd023d851adaff8e9a747f9b1aa626db8ce65f805e41c5c47dba017332e81bf9efaae65671e06bc7632a519def286568a8ed2f48b41aa285de62
 DIST spyder-4.2.3.tar.gz 11539371 BLAKE2B aecd2e9772c52e644e9c0503195e380fffecdfaa5aea3f00a64e98a969faf3de4e0d8eb0515cc59893f28deb7733403826e90e36006ad7f8f4d67e8ef5e64543 SHA512 9e56efab8862c21e7496d45e813d28c4e9be583275352b0a6e0a58e99f6c0234fa9862da66705839beacb971dde9b6edc253405d9d62853a3c4c9c9991844846
 DIST spyder-docs-5c9c8a3317045c2d301e05b751943be9b521d129.tar.gz 66692311 BLAKE2B ec741a9cd830bc8a5776be1d52dcac9649c8abf33faec0ac8741d95625d8aeda2b8c0d2bdbef02c068a22ec62a4d5281a48e996530e1bd2e6de43b86e0a14ffe SHA512 73bd05ef31f69ebd80bb488017998536c4ed0e63a331efe743d9d858b936df287253f333d09beac6d2b249a96e8f82538d321850a64b0941db3d0141122995eb
+DIST spyder-docs-7fbdabcbc37fe696e4ad5604cdbf4023dfbe8b6c.tar.gz 58822544 BLAKE2B 9ddd662eb0e3b2845a15bc38a0ab994fcf43824a560cf635a29e16b5eb66407706a412ea50a2f8e5c0212675df3422ece649bd1e50e3ecd1c34ee5727f8a2df9 SHA512 ab30f287733681da0b1d15656a44cd320401330309efbff8f0a89f59a15d5c57532a2eab3e8353d8c3856eac0a393385a852663d6698d0a0d309def21d13933d

diff --git a/dev-python/spyder/spyder-4.2.0.ebuild b/dev-python/spyder/spyder-4.2.0.ebuild
new file mode 100644
index 00000000000..7a013fecdd6
--- /dev/null
+++ b/dev-python/spyder/spyder-4.2.0.ebuild
@@ -0,0 +1,219 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit optfeature xdg distutils-r1
+
+# Commit of documentation to fetch
+DOCS_PV="7fbdabcbc37fe696e4ad5604cdbf4023dfbe8b6c"
+
+MYPV="${PV/_alpha/a}"
+
+DESCRIPTION="The Scientific Python Development Environment"
+HOMEPAGE="
+	https://www.spyder-ide.org/
+	https://github.com/spyder-ide/spyder/
+	https://pypi.org/project/spyder/"
+SRC_URI="https://github.com/spyder-ide/${PN}/archive/v${MYPV}.tar.gz -> ${P}.tar.gz
+	https://github.com/spyder-ide/${PN}-docs/archive/${DOCS_PV}.tar.gz -> ${PN}-docs-${DOCS_PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# White space separated deps are expansion of python-language-server[all] dep
+# As the pyls ebuild does not add flags for optional runtime dependencies
+# we have to manually specify these desp instead of just depending on the [all]
+# flag. The indentation allows us to distinguish them from spyders direct deps.
+RDEPEND="
+	>=dev-python/atomicwrites-1.2.0[${PYTHON_USEDEP}]
+	>=dev-python/chardet-2.0.0[${PYTHON_USEDEP}]
+	>=dev-python/cloudpickle-0.5.0[${PYTHON_USEDEP}]
+	>=dev-python/diff-match-patch-20181111[${PYTHON_USEDEP}]
+	>=dev-python/intervaltree-3.0.2[${PYTHON_USEDEP}]
+	>=dev-python/ipython-4.0[${PYTHON_USEDEP}]
+	~dev-python/jedi-0.17.2[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+	>=dev-python/keyring-17.0.0[${PYTHON_USEDEP}]
+	>=dev-python/nbconvert-4.0[${PYTHON_USEDEP}]
+	>=dev-python/numpydoc-0.6.0[${PYTHON_USEDEP}]
+	~dev-python/parso-0.7.0[${PYTHON_USEDEP}]
+	>=dev-python/pexpect-4.4.0[${PYTHON_USEDEP}]
+	>=dev-python/pickleshare-0.4[${PYTHON_USEDEP}]
+	>=dev-python/psutil-5.3[${PYTHON_USEDEP}]
+	>=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+	>=dev-python/pylint-1.0[${PYTHON_USEDEP}]
+	>=dev-python/python-language-server-0.36.1[${PYTHON_USEDEP}]
+
+	dev-python/autopep8[${PYTHON_USEDEP}]
+	>=dev-python/flake8-3.8.0[${PYTHON_USEDEP}]
+	>=dev-python/mccabe-0.6.0[${PYTHON_USEDEP}]
+	<dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+	>=dev-python/pycodestyle-2.6.0[${PYTHON_USEDEP}]
+	<dev-python/pycodestyle-2.7.0[${PYTHON_USEDEP}]
+	>=dev-python/pydocstyle-2.0.0[${PYTHON_USEDEP}]
+	>=dev-python/pyflakes-2.2.0[${PYTHON_USEDEP}]
+	<dev-python/pyflakes-2.3.0[${PYTHON_USEDEP}]
+	dev-python/pylint[${PYTHON_USEDEP}]
+	>=dev-python/rope-0.10.5[${PYTHON_USEDEP}]
+	dev-python/yapf[${PYTHON_USEDEP}]
+
+	<dev-python/python-language-server-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/pyls-black-0.4.6[${PYTHON_USEDEP}]
+	>=dev-python/pyls-spyder-0.1.1[${PYTHON_USEDEP}]
+	>=dev-python/pyxdg-0.26[${PYTHON_USEDEP}]
+	>=dev-python/pyzmq-17.0.0[${PYTHON_USEDEP}]
+	>=dev-python/qdarkstyle-2.8[${PYTHON_USEDEP}]
+	>=dev-python/qtawesome-0.5.7[${PYTHON_USEDEP}]
+	>=dev-python/qtconsole-4.7.7[${PYTHON_USEDEP}]
+	>=dev-python/QtPy-1.5.0[${PYTHON_USEDEP},svg,webengine]
+	>=dev-python/sphinx-0.6.6[${PYTHON_USEDEP}]
+	>=dev-python/spyder-kernels-1.10.0[${PYTHON_USEDEP}]
+	<dev-python/spyder-kernels-1.11.0[${PYTHON_USEDEP}]
+	>=dev-python/three-merge-0.1.1[${PYTHON_USEDEP}]
+	>=dev-python/watchdog-0.10.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="test? (
+	<dev-python/coverage-5.0[${PYTHON_USEDEP}]
+	dev-python/cython[${PYTHON_USEDEP}]
+	dev-python/flaky[${PYTHON_USEDEP}]
+	dev-python/matplotlib[tk,${PYTHON_USEDEP}]
+	dev-python/mock[${PYTHON_USEDEP}]
+	dev-python/pandas[${PYTHON_USEDEP}]
+	dev-python/pillow[${PYTHON_USEDEP}]
+	<dev-python/pytest-5.0[${PYTHON_USEDEP}]
+	<dev-python/pytest-faulthandler-2.0[${PYTHON_USEDEP}]
+	dev-python/pytest-lazy-fixture[${PYTHON_USEDEP}]
+	dev-python/pytest-mock[${PYTHON_USEDEP}]
+	dev-python/pytest-ordering[${PYTHON_USEDEP}]
+	dev-python/pytest-qt[${PYTHON_USEDEP}]
+	dev-python/pytest-xvfb[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/scipy[${PYTHON_USEDEP}]
+	dev-python/sympy[${PYTHON_USEDEP}]
+)"
+
+# Based on the courtesy of Arfrever
+# This patch removes a call to update-desktop-database during build
+# This fails because access is denied to this command during build
+PATCHES=(
+	"${FILESDIR}/${PN}-4.1.2-build.patch"
+	"${FILESDIR}/${PN}-4.1.5-doc-theme-renamed.patch"
+)
+
+DOCS=(
+	"AUTHORS.txt"
+	"Announcements.md"
+	"CHANGELOG.md"
+	"CODE_OF_CONDUCT.md"
+	"CONTRIBUTING.md"
+	"NOTICE.txt"
+	"README.md"
+	"RELEASE.md"
+)
+
+S="${WORKDIR}/${PN}-${MYPV}"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/doc dev-python/sphinx-panels dev-python/pydata-sphinx-theme dev-python/sphinx-multiversion
+
+python_prepare_all() {
+	# move docs into workdir
+	mv ../spyder-docs-${DOCS_PV}* docs || die
+
+	# these deps are packaged separately: dev-python/spyder-kernels, dev-python/python-language-server
+	rm external-deps/* -r || die
+	# runs against things packaged in external-deps dir
+	rm conftest.py || die
+
+	# do not depend on pyqt5<13
+	sed -i -e '/pyqt5/d' \
+		-e '/pyqtwebengine/d' \
+			setup.py || die
+
+	# do not check deps, fails because we removed pyqt5 dependency above
+	sed -i -e 's:test_dependencies_for_spyder_setup_install_requires_in_sync:_&:' \
+		spyder/tests/test_dependencies_in_sync.py || die
+
+	# can't check for update, need network
+	rm spyder/workers/tests/test_update.py || die
+
+	# skip online test
+	rm spyder/widgets/github/tests/test_github_backend.py || die
+
+	# KeyError: 'conda: base', need conda??
+	sed -i -e 's:test_status_bar_conda_interpreter_status:_&:' \
+		spyder/widgets/tests/test_status.py || die
+
+	# assert 2 == 1
+	sed -i -e 's:test_pylint_max_history_conf:_&:' \
+		spyder/plugins/pylint/tests/test_pylint.py || die
+
+	# https://bugs.gentoo.org/747211
+	sed -i -e 's:test_loaded_and_closed_signals:_&:' \
+		spyder/plugins/projects/tests/test_plugin.py || die
+
+	# AssertionError: assert '' == 'This is some test text!'
+	sed -i -e 's:test_tab_copies_find_to_replace:_&:' \
+		spyder/plugins/editor/widgets/tests/test_editor.py || die
+
+	# hangs till forever
+	sed -i -e 's:test_help_opens_when_show_tutorial_full:_&:' \
+		spyder/app/tests/test_mainwindow.py || die
+
+	# Assertion error, can't connect/remember inside ebuild environment
+	rm spyder/plugins/ipythonconsole/widgets/tests/test_kernelconnect.py || die
+
+	# AssertionError: waitUntil timed out in 20000 miliseconds
+	sed -i -e 's:test_pdb_multiline:_&:' \
+		spyder/plugins/ipythonconsole/tests/test_ipythonconsole.py || die
+
+	# AssertionError: assert 'if True:\n    0\n    ' == 'if True:\n    0'
+	sed -i -e 's:test_undo_return:_&:' \
+		spyder/plugins/editor/widgets/tests/test_codeeditor.py || die
+
+	# assert False is True
+	sed -i -e 's:test_range_indicator_visible_on_hover_only:_&:' \
+		spyder/plugins/editor/panels/tests/test_scrollflag.py || die
+
+	# AssertionError: waitUntil timed out in 10000 miliseconds
+	sed -i -e 's:test_get_hints:_&:' \
+		spyder/plugins/editor/widgets/tests/test_hints_and_calltips.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+# Calling pytest directly makes the tests freeze after completing even if successful
+# Exit code is nonzero even upon success, so can't add || die here
+# test results should be checked for success manually
+python_test() {
+	${EPYTHON} runtests.py
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	elog "To get additional features, optional runtime dependencies may be installed:"
+		optfeature "2D/3D plotting in the Python and IPython consoles" dev-python/matplotlib
+		optfeature "View and edit DataFrames and Series in the Variable Explorer" dev-python/pandas
+		optfeature "View and edit two or three dimensional arrays in the Variable Explorer" dev-python/numpy
+		optfeature "Symbolic mathematics in the IPython console" dev-python/sympy
+		optfeature "Import Matlab workspace files in the Variable Explorer" dev-python/scipy
+		optfeature "Run Cython files in the IPython console" dev-python/cython
+		optfeature "The hdf5/h5py plugin" dev-python/h5py
+		optfeature "The line profiler plugin" dev-python/spyder-line-profiler
+		optfeature "The memory profiler plugin" dev-python/spyder-memory-profiler
+		# spyder-autopep8 does not have a release (yet)
+		# and are not compatible with >=spyder-4.0.0 at the moment
+		# optfeature "The autopep8 plugin" dev-python/spyder-autopep8
+		optfeature "Vim key bindings" dev-python/spyder-vim
+		optfeature "Unittest support" dev-python/spyder-unittest
+		optfeature "Jupyter notebook support" dev-python/spyder-notebook
+		optfeature "System terminal inside spyder" dev-python/spyder-terminal
+		# spyder-reports not yet updated to >=spyder-4.0.0
+		# optfeature "Markdown reports using Pweave" dev-python/spyder-reports
+}

diff --git a/dev-python/spyder/spyder-4.2.1.ebuild b/dev-python/spyder/spyder-4.2.1.ebuild
new file mode 100644
index 00000000000..858a74eb402
--- /dev/null
+++ b/dev-python/spyder/spyder-4.2.1.ebuild
@@ -0,0 +1,241 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit optfeature xdg distutils-r1
+
+# Commit of documentation to fetch
+DOCS_PV="5c9c8a3317045c2d301e05b751943be9b521d129"
+
+DESCRIPTION="The Scientific Python Development Environment"
+HOMEPAGE="
+	https://www.spyder-ide.org/
+	https://github.com/spyder-ide/spyder/
+	https://pypi.org/project/spyder/
+"
+SRC_URI="https://github.com/spyder-ide/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/spyder-ide/${PN}-docs/archive/${DOCS_PV}.tar.gz -> ${PN}-docs-${DOCS_PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# The test suite often hangs or does not work.
+# Technically spyder requires pyqt5<13, which
+# we do not have in ::gentoo any more. Likely
+# this is the reason many of the tests fail
+# or hang. RESTRICTing because IMO it is
+# not worth the several hours I spend every
+# single version bump checking which tests
+# do and do not work. Spyder itself works
+# fine with pyqt5>13.
+RESTRICT="test"
+
+# White space separated deps are expansion of python-language-server[all] dep
+# As the pyls ebuild does not add flags for optional runtime dependencies
+# we have to manually specify these desp instead of just depending on the [all]
+# flag. The indentation allows us to distinguish them from spyders direct deps.
+RDEPEND="
+	>=dev-python/atomicwrites-1.2.0[${PYTHON_USEDEP}]
+	>=dev-python/chardet-2.0.0[${PYTHON_USEDEP}]
+	>=dev-python/cloudpickle-0.5.0[${PYTHON_USEDEP}]
+	dev-util/cookiecutter[${PYTHON_USEDEP}]
+	>=dev-python/diff-match-patch-20181111[${PYTHON_USEDEP}]
+	>=dev-python/intervaltree-3.0.2[${PYTHON_USEDEP}]
+	>=dev-python/ipython-7.6.0[${PYTHON_USEDEP}]
+	~dev-python/jedi-0.17.2[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-3.2.0[${PYTHON_USEDEP}]
+	>=dev-python/keyring-17.0.0[${PYTHON_USEDEP}]
+	>=dev-python/nbconvert-4.0[${PYTHON_USEDEP}]
+	>=dev-python/numpydoc-0.6.0[${PYTHON_USEDEP}]
+	~dev-python/parso-0.7.0[${PYTHON_USEDEP}]
+	>=dev-python/pexpect-4.4.0[${PYTHON_USEDEP}]
+	>=dev-python/pickleshare-0.4[${PYTHON_USEDEP}]
+	>=dev-python/psutil-5.3[${PYTHON_USEDEP}]
+	>=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+	>=dev-python/pylint-1.0[${PYTHON_USEDEP}]
+	>=dev-python/python-language-server-0.36.2[${PYTHON_USEDEP}]
+
+	dev-python/autopep8[${PYTHON_USEDEP}]
+	>=dev-python/flake8-3.8.0[${PYTHON_USEDEP}]
+	>=dev-python/mccabe-0.6.0[${PYTHON_USEDEP}]
+	<dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+	>=dev-python/pycodestyle-2.6.0[${PYTHON_USEDEP}]
+	<dev-python/pycodestyle-2.7.0[${PYTHON_USEDEP}]
+	>=dev-python/pydocstyle-2.0.0[${PYTHON_USEDEP}]
+	>=dev-python/pyflakes-2.2.0[${PYTHON_USEDEP}]
+	<dev-python/pyflakes-2.3.0[${PYTHON_USEDEP}]
+	dev-python/pylint[${PYTHON_USEDEP}]
+	>=dev-python/rope-0.10.5[${PYTHON_USEDEP}]
+	dev-python/yapf[${PYTHON_USEDEP}]
+
+	<dev-python/python-language-server-1.0.0[${PYTHON_USEDEP}]
+	>=dev-python/pyls-black-0.4.6[${PYTHON_USEDEP}]
+	>=dev-python/pyls-spyder-0.3.0[${PYTHON_USEDEP}]
+	>=dev-python/pyxdg-0.26[${PYTHON_USEDEP}]
+	>=dev-python/pyzmq-17.0.0[${PYTHON_USEDEP}]
+	>=dev-python/qdarkstyle-2.8[${PYTHON_USEDEP}]
+	>=dev-python/qtawesome-0.5.7[${PYTHON_USEDEP}]
+	>=dev-python/qtconsole-5.0.1[${PYTHON_USEDEP}]
+	>=dev-python/QtPy-1.5.0[${PYTHON_USEDEP},svg,webengine]
+	>=dev-python/sphinx-0.6.6[${PYTHON_USEDEP}]
+	>=dev-python/spyder-kernels-1.10.1[${PYTHON_USEDEP}]
+	<dev-python/spyder-kernels-1.11.0[${PYTHON_USEDEP}]
+	>=dev-python/textdistance-4.2.0[${PYTHON_USEDEP}]
+	>=dev-python/three-merge-0.1.1[${PYTHON_USEDEP}]
+	>=dev-python/watchdog-0.10.3[${PYTHON_USEDEP}]
+"
+
+BDEPEND="test? (
+	dev-python/cython[${PYTHON_USEDEP}]
+	dev-python/flaky[${PYTHON_USEDEP}]
+	dev-python/matplotlib[tk,${PYTHON_USEDEP}]
+	dev-python/mock[${PYTHON_USEDEP}]
+	dev-python/pandas[${PYTHON_USEDEP}]
+	dev-python/pillow[${PYTHON_USEDEP}]
+	<dev-python/pytest-6.0[${PYTHON_USEDEP}]
+	dev-python/pytest-lazy-fixture[${PYTHON_USEDEP}]
+	dev-python/pytest-mock[${PYTHON_USEDEP}]
+	dev-python/pytest-ordering[${PYTHON_USEDEP}]
+	dev-python/pytest-qt[${PYTHON_USEDEP}]
+	dev-python/pytest-xvfb[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/scipy[${PYTHON_USEDEP}]
+	dev-python/sympy[${PYTHON_USEDEP}]
+)"
+
+# Based on the courtesy of Arfrever
+# This patch removes a call to update-desktop-database during build
+# This fails because access is denied to this command during build
+PATCHES=(
+	"${FILESDIR}/${PN}-4.2.1-build.patch"
+	"${FILESDIR}/${PN}-4.1.5-doc-theme-renamed.patch"
+)
+
+DOCS=(
+	"AUTHORS.txt"
+	"Announcements.md"
+	"CHANGELOG.md"
+	"CODE_OF_CONDUCT.md"
+	"CONTRIBUTING.md"
+	"NOTICE.txt"
+	"README.md"
+	"RELEASE.md"
+)
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/doc dev-python/sphinx-panels dev-python/pydata-sphinx-theme dev-python/sphinx-multiversion
+
+python_prepare_all() {
+	# move docs into workdir
+	mv ../spyder-docs-${DOCS_PV}* docs || die
+
+	# these deps are packaged separately: dev-python/spyder-kernels, dev-python/python-language-server
+	rm external-deps/* -r || die
+	# runs against things packaged in external-deps dir
+	rm conftest.py || die
+
+	# do not depend on pyqt5<13
+	sed -i -e '/pyqt5/d' \
+		-e '/pyqtwebengine/d' \
+			setup.py || die
+
+	# do not check deps, fails because we removed pyqt5 dependency above
+	sed -i -e 's:test_dependencies_for_spyder_setup_install_requires_in_sync:_&:' \
+		spyder/tests/test_dependencies_in_sync.py || die
+
+	# can't check for update, need network
+	rm spyder/workers/tests/test_update.py || die
+
+	# skip online test
+	rm spyder/widgets/github/tests/test_github_backend.py || die
+
+	# KeyError: 'conda: base', need conda??
+	sed -i -e 's:test_status_bar_conda_interpreter_status:_&:' \
+		spyder/widgets/tests/test_status.py || die
+
+	# assert 2 == 1
+	sed -i -e 's:test_pylint_max_history_conf:_&:' \
+		spyder/plugins/pylint/tests/test_pylint.py || die
+
+	# https://bugs.gentoo.org/747211
+	sed -i -e 's:test_loaded_and_closed_signals:_&:' \
+		spyder/plugins/projects/tests/test_plugin.py || die
+
+	# AssertionError: assert '' == 'This is some test text!'
+	sed -i -e 's:test_tab_copies_find_to_replace:_&:' \
+		spyder/plugins/editor/widgets/tests/test_editor.py || die
+
+	# hangs till forever
+	sed -i -e 's:test_help_opens_when_show_tutorial_full:_&:' \
+		spyder/app/tests/test_mainwindow.py || die
+
+	# Assertion error, can't connect/remember inside ebuild environment
+	rm spyder/plugins/ipythonconsole/widgets/tests/test_kernelconnect.py || die
+
+	# AssertionError: waitUntil timed out in 20000 miliseconds
+	sed -i -e 's:test_pdb_multiline:_&:' \
+		spyder/plugins/ipythonconsole/tests/test_ipythonconsole.py || die
+
+	# AssertionError: assert 'if True:\n    0\n    ' == 'if True:\n    0'
+	sed -i -e 's:test_undo_return:_&:' \
+		spyder/plugins/editor/widgets/tests/test_codeeditor.py || die
+
+	# assert False is True
+	sed -i -e 's:test_range_indicator_visible_on_hover_only:_&:' \
+		spyder/plugins/editor/panels/tests/test_scrollflag.py || die
+
+	# AssertionError: waitUntil timed out in 10000 miliseconds
+	sed -i -e 's:test_get_hints:_&:' \
+		spyder/plugins/editor/widgets/tests/test_hints_and_calltips.py || die
+
+	# Fatal Python error: Aborted
+	sed -i -e 's:test_module_completion:_&:' \
+		spyder/utils/introspection/tests/test_modulecompletion.py || die
+
+	# assert 0 > 0
+	sed -i -e 's:test_maininterpreter_page:_&:' \
+		spyder/preferences/tests/test_config_dialog.py || die
+
+	# This hangs forever
+	sed -i -e 's:test_load_kernel_file:_&:' \
+		-e 's:test_load_kernel_file_from_location:_&:' \
+		-e 's:test_load_kernel_file_from_id:_&:' \
+		spyder/plugins/ipythonconsole/tests/test_ipythonconsole.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+# Calling pytest directly makes the tests freeze after completing even if successful
+# Exit code is nonzero even upon success, so can't add || die here
+# test results should be checked for success manually
+python_test() {
+	${EPYTHON} runtests.py
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	elog "To get additional features, optional runtime dependencies may be installed:"
+		optfeature "2D/3D plotting in the Python and IPython consoles" dev-python/matplotlib
+		optfeature "View and edit DataFrames and Series in the Variable Explorer" dev-python/pandas
+		optfeature "View and edit two or three dimensional arrays in the Variable Explorer" dev-python/numpy
+		optfeature "Symbolic mathematics in the IPython console" dev-python/sympy
+		optfeature "Import Matlab workspace files in the Variable Explorer" dev-python/scipy
+		optfeature "Run Cython files in the IPython console" dev-python/cython
+		optfeature "The hdf5/h5py plugin" dev-python/h5py
+		optfeature "The line profiler plugin" dev-python/spyder-line-profiler
+		optfeature "The memory profiler plugin" dev-python/spyder-memory-profiler
+		# spyder-autopep8 does not have a release (yet)
+		# and are not compatible with >=spyder-4.0.0 at the moment
+		# optfeature "The autopep8 plugin" dev-python/spyder-autopep8
+		optfeature "Vim key bindings" dev-python/spyder-vim
+		optfeature "Unittest support" dev-python/spyder-unittest
+		optfeature "Jupyter notebook support" dev-python/spyder-notebook
+		optfeature "System terminal inside spyder" dev-python/spyder-terminal
+		# spyder-reports not yet updated to >=spyder-4.0.0
+		# optfeature "Markdown reports using Pweave" dev-python/spyder-reports
+}


             reply	other threads:[~2021-03-20 10:46 UTC|newest]

Thread overview: 132+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-20 10:46 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-24  8:40 [gentoo-commits] repo/gentoo:master commit in: dev-python/spyder/ Andrew Ammerlaan
2024-09-24  8:40 Andrew Ammerlaan
2024-09-10  9:31 Andrew Ammerlaan
2024-09-03  7:55 Andrew Ammerlaan
2024-09-03  7:55 Andrew Ammerlaan
2024-08-27  7:36 Andrew Ammerlaan
2024-08-24 19:24 Andrew Ammerlaan
2024-08-24 19:24 Andrew Ammerlaan
2024-08-10  8:45 Andrew Ammerlaan
2024-08-10  8:45 Andrew Ammerlaan
2024-07-20 11:59 Andrew Ammerlaan
2024-07-20 11:59 Andrew Ammerlaan
2024-06-19 11:00 Andrew Ammerlaan
2024-06-19 11:00 Andrew Ammerlaan
2024-06-12 10:20 Andrew Ammerlaan
2024-05-17 14:13 Andrew Ammerlaan
2024-05-17 14:13 Andrew Ammerlaan
2024-04-24 12:47 Andrew Ammerlaan
2024-04-24 12:47 Andrew Ammerlaan
2024-04-10  8:08 Andrew Ammerlaan
2024-04-10  8:08 Andrew Ammerlaan
2024-03-18  8:22 Andrew Ammerlaan
2024-03-18  8:22 Andrew Ammerlaan
2024-03-13  8:42 Andrew Ammerlaan
2024-03-03 18:58 Andrew Ammerlaan
2024-02-26 14:25 Michał Górny
2024-02-08 13:37 Andrew Ammerlaan
2024-02-08 13:37 Andrew Ammerlaan
2024-02-07  9:59 Andrew Ammerlaan
2023-12-30 18:35 Michał Górny
2023-12-29 13:42 Arthur Zamarin
2023-12-19 10:35 Andrew Ammerlaan
2023-12-19 10:35 Andrew Ammerlaan
2023-11-11  9:26 Andrew Ammerlaan
2023-11-08  9:35 Andrew Ammerlaan
2023-09-07 15:43 Andrew Ammerlaan
2023-09-07 15:43 Andrew Ammerlaan
2023-08-30  7:51 Andrew Ammerlaan
2023-07-24 11:34 Michał Górny
2023-07-19  9:40 Andrew Ammerlaan
2023-06-20 18:40 Andrew Ammerlaan
2023-04-07  8:22 Andrew Ammerlaan
2023-04-05 19:23 Andrew Ammerlaan
2023-01-27 20:10 Michał Górny
2023-01-19  7:39 Andrew Ammerlaan
2023-01-12 11:13 Andrew Ammerlaan
2022-12-30 11:47 Andrew Ammerlaan
2022-11-07 21:53 Andrew Ammerlaan
2022-09-05 12:34 Andrew Ammerlaan
2022-09-05 12:34 Andrew Ammerlaan
2022-08-30 17:32 Andrew Ammerlaan
2022-08-30 17:32 Andrew Ammerlaan
2022-07-19 18:44 Andrew Ammerlaan
2022-06-01 11:49 Andrew Ammerlaan
2022-05-25  9:43 Andrew Ammerlaan
2022-05-23 17:55 Andrew Ammerlaan
2022-05-23 17:55 Andrew Ammerlaan
2022-05-11  9:41 Andrew Ammerlaan
2022-05-11  9:41 Andrew Ammerlaan
2022-03-31 14:31 Andrew Ammerlaan
2022-01-23 10:52 Andrew Ammerlaan
2022-01-21 19:22 Andrew Ammerlaan
2022-01-21 19:22 Andrew Ammerlaan
2021-12-15 17:12 Andrew Ammerlaan
2021-12-14 17:18 Andrew Ammerlaan
2021-12-14 17:18 Andrew Ammerlaan
2021-11-06 16:24 Andrew Ammerlaan
2021-11-06 16:20 Andrew Ammerlaan
2021-10-04  8:33 Andrew Ammerlaan
2021-09-27 19:28 Andrew Ammerlaan
2021-09-16 17:49 Andrew Ammerlaan
2021-09-16 17:49 Andrew Ammerlaan
2021-09-13  7:31 Andrew Ammerlaan
2021-09-13  7:31 Andrew Ammerlaan
2021-09-05  9:54 Andrew Ammerlaan
2021-09-05  9:54 Andrew Ammerlaan
2021-09-02  6:33 Andrew Ammerlaan
2021-09-02  6:33 Andrew Ammerlaan
2021-08-05  7:45 Andrew Ammerlaan
2021-08-05  7:45 Andrew Ammerlaan
2021-08-02  8:20 Andrew Ammerlaan
2021-07-23 13:49 Andrew Ammerlaan
2021-07-02 11:49 Andrew Ammerlaan
2021-06-23 20:12 Andrew Ammerlaan
2021-06-23 20:12 Andrew Ammerlaan
2021-06-12 10:25 Andrew Ammerlaan
2021-06-11 18:31 Andrew Ammerlaan
2021-06-11 18:31 Andrew Ammerlaan
2021-06-05 10:47 Andrew Ammerlaan
2021-05-22  9:11 Andrew Ammerlaan
2021-05-20 11:57 Andrew Ammerlaan
2021-05-19 18:42 Andrew Ammerlaan
2021-05-19 18:42 Andrew Ammerlaan
2021-04-16  9:55 Joonas Niilola
2021-03-25 13:58 Joonas Niilola
2021-03-25 13:58 Joonas Niilola
2021-03-21 13:35 Joonas Niilola
2021-03-20 10:46 Joonas Niilola
2021-03-11  7:18 Joonas Niilola
2020-11-17 16:30 Joonas Niilola
2020-11-17 14:21 Joonas Niilola
2020-11-17 14:21 Joonas Niilola
2020-11-17 14:21 Joonas Niilola
2020-11-17 14:21 Joonas Niilola
2020-09-18 15:53 Michał Górny
2020-09-15  8:09 Joonas Niilola
2020-08-20  6:37 Andrey Grozin
2020-07-17  4:14 Matt Turner
2020-05-26 20:43 Matt Turner
2020-03-30 11:27 Joonas Niilola
2020-03-30 11:27 Joonas Niilola
2020-03-28 14:21 Joonas Niilola
2020-02-28 16:12 Andrey Grozin
2020-02-19  7:34 Joonas Niilola
2019-12-04 17:15 Michał Górny
2019-12-04 17:15 Michał Górny
2019-11-17 21:12 Davide Pesavento
2019-05-05  7:15 Michał Górny
2018-09-25 10:19 Andrey Grozin
2018-04-29  7:35 Michał Górny
2017-09-24 10:28 Andrey Grozin
2017-09-19 11:57 Andrey Grozin
2017-09-19 11:55 Andrey Grozin
2017-08-15 20:10 Andreas Sturmlechner
2017-08-15 20:10 Andreas Sturmlechner
2017-08-15 20:10 Andreas Sturmlechner
2016-12-18  4:47 Andrey Grozin
2016-02-23 11:15 Andrey Grozin
2016-02-23  9:28 Patrice Clement
2016-02-23  9:28 Patrice Clement
2016-02-23  8:20 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1616237206.4405b54b57092a71112382dad2c6a22dc920ae41.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox